# Class NonRenamableProject

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.Project
org.gradle.plugins.ide.eclipse.model.NonRenamableProject

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

class NonRenamableProject extends Project

- ## Field Summary

  ### Fields inherited from class Project

  `PROJECT_FILE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NonRenamableProject(Project delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `configure(EclipseProject eclipseProject)`
  Configure.
  `List<BuildCommand>`
  `getBuildCommands()`
  The build commands to be added to this Eclipse project.
  `String`
  `getComment()`
  A comment used for the eclipse project
  `String`
  `getDefaultResourceName()`
  `Set<Link>`
  `getLinkedResources()`
  The linkedResources to be added to this Eclipse project.
  `String`
  `getName()`
  The name used for the name of the eclipse project
  `List<String>`
  `getNatures()`
  The natures to be added to this Eclipse project.
  `Set<String>`
  `getReferencedProjects()`
  The referenced projects of this Eclipse project.
  `Node`
  `getXml()`
  `void`
  `load(Node xml)`
  `void`
  `load(File inputFile)`
  `void`
  `load(InputStream inputStream)`
  `void`
  `loadDefaults()`
  `void`
  `setBuildCommands(List<BuildCommand> buildCommands)`
  Sets the build commands.
  `void`
  `setComment(String comment)`
  Sets the comment.
  `void`
  `setLinkedResources(Set<Link> linkedResources)`
  Sets the linked resources.
  `void`
  `setName(String name)`
  Sets the name.
  `void`
  `setNatures(List<String> natures)`
  Sets the natures.
  `void`
  `setReferencedProjects(Set<String> referencedProjects)`
  Sets the referenced projects.
  `void`
  `store(Node xml)`
  `void`
  `store(File outputFile)`
  `void`
  `store(OutputStream outputStream)`
  `void`
  `transformAction(Closure action)`
  `void`
  `transformAction(Action<? super XmlProvider> action)`

  ### Methods inherited from class Project

  `equals, getResourceFilters, hashCode, setResourceFilters, toString`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NonRenamableProject

    NonRenamableProject(Project delegate)

- ## Method Details

  - ### setName

    public void setName(String name)
    Description copied from class: `Project`
    Sets the name.
    Overrides:
      `setName` in class `Project`

  - ### getDefaultResourceName

    public String getDefaultResourceName()
    Overrides:
      `getDefaultResourceName` in class `Project`

  - ### getName

    public String getName()
    Description copied from class: `Project`
    The name used for the name of the eclipse project
    Overrides:
      `getName` in class `Project`

  - ### getComment

    public String getComment()
    Description copied from class: `Project`
    A comment used for the eclipse project
    Overrides:
      `getComment` in class `Project`

  - ### setComment

    public void setComment(String comment)
    Description copied from class: `Project`
    Sets the comment.
    Overrides:
      `setComment` in class `Project`

  - ### getReferencedProjects

    public Set<String> getReferencedProjects()
    Description copied from class: `Project`
    The referenced projects of this Eclipse project.
    Overrides:
      `getReferencedProjects` in class `Project`

  - ### setReferencedProjects

    public void setReferencedProjects(Set<String> referencedProjects)
    Description copied from class: `Project`
    Sets the referenced projects.
    Overrides:
      `setReferencedProjects` in class `Project`

  - ### getNatures

    public List<String> getNatures()
    Description copied from class: `Project`
    The natures to be added to this Eclipse project.
    Overrides:
      `getNatures` in class `Project`

  - ### setNatures

    public void setNatures(List<String> natures)
    Description copied from class: `Project`
    Sets the natures.
    Overrides:
      `setNatures` in class `Project`

  - ### getBuildCommands

    public List<BuildCommand> getBuildCommands()
    Description copied from class: `Project`
    The build commands to be added to this Eclipse project.
    Overrides:
      `getBuildCommands` in class `Project`

  - ### setBuildCommands

    public void setBuildCommands(List<BuildCommand> buildCommands)
    Description copied from class: `Project`
    Sets the build commands.
    Overrides:
      `setBuildCommands` in class `Project`

  - ### getLinkedResources

    public Set<Link> getLinkedResources()
    Description copied from class: `Project`
    The linkedResources to be added to this Eclipse project.
    Overrides:
      `getLinkedResources` in class `Project`

  - ### setLinkedResources

    public void setLinkedResources(Set<Link> linkedResources)
    Description copied from class: `Project`
    Sets the linked resources.
    Overrides:
      `setLinkedResources` in class `Project`

  - ### configure

    public Object configure(EclipseProject eclipseProject)
    Description copied from class: `Project`
    Configure.
    Overrides:
      `configure` in class `Project`

  - ### load

    public void load(Node xml)
    Overrides:
      `load` in class `Project`

  - ### store

    public void store(Node xml)
    Overrides:
      `store` in class `Project`

  - ### load

    public void load(InputStream inputStream) throws Exception
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`
    Throws:
      `Exception`

  - ### store

    public void store(OutputStream outputStream)
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### getXml

    public Node getXml()
    Overrides:
      `getXml` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### transformAction

    public void transformAction(Closure action)
    Overrides:
      `transformAction` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### transformAction

    public void transformAction(Action<? super XmlProvider> action)
    Overrides:
      `transformAction` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### load

    public void load(File inputFile)
    Specified by:
      `load` in interface `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### loadDefaults

    public void loadDefaults()
    Specified by:
      `loadDefaults` in interface `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`
    Overrides:
      `loadDefaults` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### store

    public void store(File outputFile)
    Specified by:
      `store` in interface `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`